[arch-commits] Commit in gnome-software/repos/extra-x86_64 (PKGBUILD PKGBUILD)

Jan Steffens heftig at gemini.archlinux.org
Fri Dec 3 12:41:45 UTC 2021


    Date: Friday, December 3, 2021 @ 12:41:45
  Author: heftig
Revision: 430622

archrelease: copy trunk to extra-x86_64

Added:
  gnome-software/repos/extra-x86_64/PKGBUILD
    (from rev 430620, gnome-software/trunk/PKGBUILD)
Deleted:
  gnome-software/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |  144 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 72 insertions(+), 72 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2021-12-03 12:41:44 UTC (rev 430621)
+++ PKGBUILD	2021-12-03 12:41:45 UTC (rev 430622)
@@ -1,72 +0,0 @@
-# Maintainer: Jan Alexander Steffens (heftig) <heftig at archlinux.org>
-# Contributor: Jan de Groot <jgc at archlinux.org>
-# Contributor: Yosef Or Boczko <yoseforb at gnome.org>
-
-pkgbase=gnome-software
-pkgname=(gnome-software gnome-software-packagekit-plugin)
-pkgver=41.1
-pkgrel=1
-pkgdesc="GNOME Software Tools"
-url="https://wiki.gnome.org/Apps/Software/"
-arch=(x86_64)
-license=(GPL2)
-makedepends=(appstream gsettings-desktop-schemas libpackagekit-glib flatpak
-             fwupd docbook-xsl git gobject-introspection gspell gtk-doc meson
-             valgrind gnome-online-accounts libxmlb malcontent libhandy)
-_commit=50ca7df96aad68881c861777b3da73fe8a5cb6b4  # tags/41.1^0
-source=("git+https://gitlab.gnome.org/GNOME/gnome-software.git#commit=$_commit")
-sha256sums=('SKIP')
-
-pkgver() {
-  cd $pkgbase
-  git describe --tags | sed 's/^GNOME_SOFTWARE_//;s/_/./g;s/-/+/g'
-}
-
-prepare() {
-  cd $pkgbase
-}
-
-build() {
-  # Ensure static library is non-LTO compatible
-  CFLAGS+=" -ffat-lto-objects"
-
-  arch-meson $pkgbase build -D sysprof=disabled
-  meson compile -C build
-}
-
-check() {
-  # build container troubles
-  meson test -C build --print-errorlogs || :
-}
-
-_pick() {
-  local p="$1" f d; shift
-  for f; do
-    d="$srcdir/$p/${f#$pkgdir/}"
-    mkdir -p "$(dirname "$d")"
-    mv "$f" "$d"
-    rmdir -p --ignore-fail-on-non-empty "$(dirname "$f")"
-  done
-}
-
-package_gnome-software() {
-  groups=(gnome)
-  depends=(libxmlb gsettings-desktop-schemas gspell libpackagekit-glib
-           gnome-online-accounts appstream libhandy)
-  optdepends=('flatpak: Flatpak support plugin'
-              'fwupd: fwupd support plugin'
-              'malcontent: Parental control plugin')
-
-  meson install -C build --destdir "$pkgdir"
-
-### Split gnome-software-packagekit-plugin
-  local pkglibdir="$pkgdir/usr/lib/gnome-software"
-  _pick packagekit-plugin "$pkglibdir"/plugins-*/libgs_plugin_packagekit*.so
-  _pick packagekit-plugin "$pkglibdir"/plugins-*/libgs_plugin_systemd-updates.so
-}
-
-package_gnome-software-packagekit-plugin() {
-  pkgdesc="PackageKit support plugin for GNOME Software"
-  depends=(archlinux-appstream-data gnome-software packagekit)
-  mv packagekit-plugin/* "$pkgdir"
-}

Copied: gnome-software/repos/extra-x86_64/PKGBUILD (from rev 430620, gnome-software/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2021-12-03 12:41:45 UTC (rev 430622)
@@ -0,0 +1,72 @@
+# Maintainer: Jan Alexander Steffens (heftig) <heftig at archlinux.org>
+# Contributor: Jan de Groot <jgc at archlinux.org>
+# Contributor: Yosef Or Boczko <yoseforb at gnome.org>
+
+pkgbase=gnome-software
+pkgname=(gnome-software gnome-software-packagekit-plugin)
+pkgver=41.2
+pkgrel=1
+pkgdesc="GNOME Software Tools"
+url="https://wiki.gnome.org/Apps/Software/"
+arch=(x86_64)
+license=(GPL2)
+makedepends=(appstream gsettings-desktop-schemas libpackagekit-glib flatpak
+             fwupd docbook-xsl git gobject-introspection gspell gtk-doc meson
+             valgrind gnome-online-accounts libxmlb malcontent libhandy)
+_commit=a0bcbe2dfabb93ae0695822ff08affd59bcc4e82  # tags/41.2^0
+source=("git+https://gitlab.gnome.org/GNOME/gnome-software.git#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgbase
+  git describe --tags | sed 's/^GNOME_SOFTWARE_//;s/_/./g;s/-/+/g'
+}
+
+prepare() {
+  cd $pkgbase
+}
+
+build() {
+  # Ensure static library is non-LTO compatible
+  CFLAGS+=" -ffat-lto-objects"
+
+  arch-meson $pkgbase build -D sysprof=disabled
+  meson compile -C build
+}
+
+check() {
+  # build container troubles
+  meson test -C build --print-errorlogs || :
+}
+
+_pick() {
+  local p="$1" f d; shift
+  for f; do
+    d="$srcdir/$p/${f#$pkgdir/}"
+    mkdir -p "$(dirname "$d")"
+    mv "$f" "$d"
+    rmdir -p --ignore-fail-on-non-empty "$(dirname "$f")"
+  done
+}
+
+package_gnome-software() {
+  groups=(gnome)
+  depends=(libxmlb gsettings-desktop-schemas gspell libpackagekit-glib
+           gnome-online-accounts appstream libhandy)
+  optdepends=('flatpak: Flatpak support plugin'
+              'fwupd: fwupd support plugin'
+              'malcontent: Parental control plugin')
+
+  meson install -C build --destdir "$pkgdir"
+
+### Split gnome-software-packagekit-plugin
+  local pkglibdir="$pkgdir/usr/lib/gnome-software"
+  _pick packagekit-plugin "$pkglibdir"/plugins-*/libgs_plugin_packagekit*.so
+  _pick packagekit-plugin "$pkglibdir"/plugins-*/libgs_plugin_systemd-updates.so
+}
+
+package_gnome-software-packagekit-plugin() {
+  pkgdesc="PackageKit support plugin for GNOME Software"
+  depends=(archlinux-appstream-data gnome-software packagekit)
+  mv packagekit-plugin/* "$pkgdir"
+}



More information about the arch-commits mailing list